


#ifndef INPUT_OUTPUT_H
#define INPUT_OUTPUT_H

#include "world.h"
#include "input_output.h"
#include "player.h"


class InputOutput {

 private:
  World* world;
  Player* player;

  float step;

 public:
  InputOutput (World* wld, Player* player);
  ~InputOutput ();

  void setPlayerStep(float step);
  void goUp(void);
  void goDown(void);
  void goLeft(void);
  void goRight(void);
  void shoot(void);


};

#endif
