
#ifndef SHOOT_LASER_H
#define SHOOT_LASER_H

/* openGL Headers */
#include <GL/glut.h>

#include "stdincl.h"

class ShootLaser {


 public:
  
  /* a list of all shoot-amental objects */
  struct shoot {
    shoot *next;
    float xCor;
    float yCor;
    float zCor;    
    float xInc;
    float yInc;
    float zInc;
    float collisionRadius;
  };
  shoot* lastShoot;

  ShootLaser ();
  ~ShootLaser ();

  void drawShoot(void);
  void addShoot(shoot* sh);
  void addShoot(float x, float y, float z);
  void addShootExt(float x, float y, float z, float xInc, float yInc, float zInc);
  void setShootStep(float step);
  void removeShoot(shoot* sh);


 private:

  float step;

};

#endif
